From b885762588f81d37edf6d72fbc9e985bcb29f9aa Mon Sep 17 00:00:00 2001
From: Karel Gardas <kgardas@objectsecurity.com>
Date: Wed, 8 Apr 2009 10:58:50 +0200
Subject: [PATCH 05/21] fix shared libraries suffix on IA64/HP-UX platform
 (Michael Haubenwallner)

darcs-hash:b0949110aa3129f5d43d3141f7fd27de7b186607
---
 configure.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/configure.in b/configure.in
index 3d8b903..7f7876b 100644
--- a/configure.in
+++ b/configure.in
@@ -1,6 +1,6 @@
 #
 #  MICO --- an Open Source CORBA implementation
-#  Copyright (c) 1997-2008 by The Mico Team
+#  Copyright (c) 1997-2009 by The Mico Team
 #
 #  This library is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU Library General Public
@@ -744,7 +744,9 @@ if test X"$GXX" = Xyes; then
     # -mmillicode-long-calls
     CONF_LDFLAGS=-Wl,+s
     CONF_DLFLAGS=-Wl,-E
-    CONF_SOEXT=sl
+    case $target in
+    hppa*) CONF_SOEXT=sl ;;
+    esac
     CONF_OBJ_SIZE_LIMIT=yes
     ;;
   *freebsd2*|*freebsd3*)

